# Class Page

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.Page

public class Page extends FBObject
This class represents a Facebook Page object https://developers.facebook.com/docs/reference/api/page/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Page()`
  Empty Contructor
  `Page(Hashtable props)`
  Constructor with properties to initialize this page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getAbout()`
  Simple Getter
  `String`
  `getCategory()`
  Simple Getter
  `String`
  `getCoverId()`
  Simple Getter
  `String`
  `getCoverLink()`
  Simple Getter
  `String`
  `getFounded()`
  Simple Getter
  `int`
  `getLikesCount()`
  Simple Getter
  `String`
  `getLink()`
  Simple Getter
  `String`
  `getUsername()`
  Simple Getter
  `String`
  `getWebsite()`
  Simple Getter
  `int`
  `hashCode()`
  Returns a hash code value for the object.

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Page

    public Page()
    Empty Contructor

  - ### Page

    public Page(Hashtable props)
    Constructor with properties to initialize this page.

- ## Method Details

  - ### getAbout

    public String getAbout()
    Simple Getter

  - ### getCategory

    public String getCategory()
    Simple Getter

  - ### getCoverId

    public String getCoverId()
    Simple Getter

  - ### getCoverLink

    public String getCoverLink()
    Simple Getter

  - ### getFounded

    public String getFounded()
    Simple Getter

  - ### getLikesCount

    public int getLikesCount()
    Simple Getter

  - ### getLink

    public String getLink()
    Simple Getter

  - ### getUsername

    public String getUsername()
    Simple Getter

  - ### getWebsite

    public String getWebsite()
    Simple Getter

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `FBObject`